Summary:	A Bayesian probability spam analysis engine
Name:		spamprobe
Version:	1.4d
Release:	11
License:	QPL
Group:		Networking/Mail
URL:		http://www.sourceforge.net/projects/spamprobe
Source0:	http://prdownloads.sourceforge.net/spamprobe/%{name}-%{version}.tar.bz2
# http://sourceforge.net/tracker/index.php?func=detail&aid=1818489&group_id=61201&atid=496459
Patch0:		spamprobe-1.4d-with-gcc4.3.diff
Patch1:		spamprobe-1.4d-png1.4.diff
BuildRequires:	db-devel
BuildRequires:	ungif-devel
BuildRequires:	jpeg-devel
BuildRequires:	png-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
SpamProbe is a spam detection program that uses a Bayesian analysis of the
frequencies of terms used in the email. Because it filters email based on
content rather than on general rules, it easily adapts itself to the types of
email that each individual user normally receives. 

%prep

%setup -q
%patch0 -p1
%patch1 -p0

%build

%configure2_5x

%make

%install
rm -rf %{buildroot}

%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,0755)
%doc contrib ChangeLog README.txt
%doc src/scripts/*
%{_mandir}/man1/spam*
%{_bindir}/spamprobe 


%changelog
* Tue May 08 2012 Crispin Boylan <crisb@mandriva.org> 1.4d-11
+ Revision: 797431
- Fix build with new libpng
- Rebuild
- Rebuild

* Wed Dec 08 2010 Oden Eriksson <oeriksson@mandriva.com> 1.4d-9mdv2011.0
+ Revision: 614945
- the mass rebuild of 2010.1 packages

* Sat Jan 30 2010 Funda Wang <fwang@mandriva.org> 1.4d-8mdv2010.1
+ Revision: 498523
- add several BRs

* Tue Sep 08 2009 Thierry Vignaud <tv@mandriva.org> 1.4d-7mdv2010.0
+ Revision: 434014
- rebuild

* Sat Sep 20 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4d-6mdv2009.0
+ Revision: 286181
- added a gcc43 patch from the sf tracker

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - rebuild

* Sun Jan 13 2008 Emmanuel Andry <eandry@mandriva.org> 1.4d-2mdv2008.1
+ Revision: 150448
- use db4.6

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

